import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;

public class ciz2DSWF_2000 extends JFrame {

    final static Color bg = Color.white;
    final static Color fg = Color.black;
    final static Color red = Color.red;
    final static Color white = Color.white;
    private String s ="Bunu drawString Metoduyla yazdır";
    private char c[]={'k','a','r','e','k','t','e','r','l','e','r'};

    public ciz2DSWF_2000()
    {
        //Initialize drawing colors
        super("String character çizimi");
        setBackground(bg);
        setForeground(fg);
    }

    public void paint(Graphics g) {
        Graphics2D g2 = (Graphics2D)g;
        g2.setFont(new Font("TimesRoman",Font.BOLD,14));
        g2.drawString(s,100,50);
        //ikinci charecterden başlayarak 7 character yaz.
        g2.drawChars(c,1,7,100,100);

    }

    //=====================================================
      public static void main(String[] args)
      {
      ciz2DSWF_2000 pencere= new ciz2DSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(350,200);
      pencere.setVisible(true);
      }
}
